Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class CSWHandler

    java.lang.Object
      org.deegree.enterprise.servlet.AbstractOWServiceHandler
          org.deegree.enterprise.servlet.CSWHandler

All Implemented Interfaces:
  ServiceDispatcher

    public class CSWHandler

extends AbstractOWServiceHandler

Web servlet client for CSW.

Version:
  $Revision: 24133 $, $Date: 2010-05-05 11:03:55 +0200 (Mi, 05. Mai 2010) $
Author:
  Torsten Friebe , last edited by: $Author: apoth $
See Also:
  Chain of Responsibility Design Pattern

Constructor Summary
`CSWHandler()`

Method Summary
`void` | `perform(OGCWebServiceRequest request, javax.servlet.http.HttpServletResponse httpResponse)`

Methods inherited from class org.deegree.enterprise.servlet.AbstractOWServiceHandler
`sendException, sendException, sendExceptionReport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSWHandler

    public CSWHandler()

Method Detail

### perform

    public void perform(OGCWebServiceRequest request,
                        javax.servlet.http.HttpServletResponse httpResponse)
                 throws ServiceException,
                        OGCWebServiceException

  Parameters:
    `request` -
    `httpResponse` -
  Throws:
    `ServiceException`
    `OGCWebServiceException`
  See Also:
    "org.deegree.enterprise.servlet.ServiceDispatcher#perform(org.deegree.services.AbstractOGCWebServiceRequest,javax.servlet.http.HttpServletResponse)"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org